Page MenuHomePhabricator

[MemDep] Use PhiValuesAnalysis to improve alias analysis results
ClosedPublic

Authored by john.brawn on Jun 22 2018, 9:57 AM.

Details

Summary

This is being done in order to make GVN able to better optimize certain inputs. MemDep doesn't use PhiValues directly, but does need to notifiy it when things get invalidated.

Diff Detail

Repository
rL LLVM

Event Timeline

john.brawn created this revision.Jun 22 2018, 9:57 AM
john.brawn updated this revision to Diff 154226.EditedJul 5 2018, 6:49 AM

Rebase on top of latest patch for D44564.

sebpop accepted this revision.Jul 27 2018, 12:16 PM
sebpop added a subscriber: sebpop.

Looks good to me. Thanks!

This revision is now accepted and ready to land.Jul 27 2018, 12:16 PM
This revision was automatically updated to reflect the committed changes.